Public Attributes | List of all members
ble_gap_evt_conn_iq_report_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Connection IQ Report info event for BLE_GAPC_EVT_CONNECT_IQ_REPORT. More...

`#include <ble_gapc.h>`

## Public Attributes
uint8_t | rx_phy
uint8_t | data_channel_idx
int16_t | rssi
uint8_t | rssi_antenna_id
uint8_t | cte_type
uint8_t | slot_dur
uint8_t | pkt_status
uint16_t | con_evt_cnt
uint8_t | nb_samples
int8_t | i_sample [BLE_GAP_MAX_IQ_SAMPLE_NUM]
int8_t | q_sample [BLE_GAP_MAX_IQ_SAMPLE_NUM]

## Detailed Description

Connection IQ Report info event for BLE_GAPC_EVT_CONNECT_IQ_REPORT.

Definition at line 664 of file ble_gapc.h.

## Member Data Documentation

## ◆ con_evt_cnt

uint16_t ble_gap_evt_conn_iq_report_t::con_evt_cnt

Connection event counter.

Definition at line 673 of file ble_gapc.h.

## ◆ cte_type

uint8_t ble_gap_evt_conn_iq_report_t::cte_type

CTE type (0: GAP_CET_AOA | 1: GAP_CET_AOD_1US | 2: GAP_CET_AOD_2US),

See also
  enum ble_gap_cte_type_t.

Definition at line 670 of file ble_gapc.h.

## ◆ data_channel_idx

uint8_t ble_gap_evt_conn_iq_report_t::data_channel_idx

Data channel index, range 0x00 to 0x24.

Definition at line 667 of file ble_gapc.h.

## ◆ i_sample

int8_t ble_gap_evt_conn_iq_report_t::i_sample[BLE_GAP_MAX_IQ_SAMPLE_NUM]

The list of i samples for the reported PDU.

Definition at line 676 of file ble_gapc.h.

## ◆ nb_samples

uint8_t ble_gap_evt_conn_iq_report_t::nb_samples

Number of samples. 0x00: no samples provided (only permitted if pkt_status is 0xFF), 0x09 to 0x52: total number of sample pairs.

Definition at line 674 of file ble_gapc.h.

## ◆ pkt_status

uint8_t ble_gap_evt_conn_iq_report_t::pkt_status

Packet status,

See also
  enum ble_gap_iq_report_status_t.

Definition at line 672 of file ble_gapc.h.

## ◆ q_sample

int8_t ble_gap_evt_conn_iq_report_t::q_sample[BLE_GAP_MAX_IQ_SAMPLE_NUM]

The list of q samples for the reported PDU.

Definition at line 677 of file ble_gapc.h.

## ◆ rssi

int16_t ble_gap_evt_conn_iq_report_t::rssi

RSSI units: 0.1 dBm, range -1270 to +200.

Definition at line 668 of file ble_gapc.h.

## ◆ rssi_antenna_id

uint8_t ble_gap_evt_conn_iq_report_t::rssi_antenna_id

RSSI antenna ID.

Definition at line 669 of file ble_gapc.h.

## ◆ rx_phy

uint8_t ble_gap_evt_conn_iq_report_t::rx_phy

Rx PHY (0x01: 1M | 0x02: 2M).

Definition at line 666 of file ble_gapc.h.

## ◆ slot_dur

uint8_t ble_gap_evt_conn_iq_report_t::slot_dur

Slot durations (1: GAP_SLOT_1US | 2: GAP_SLOT_2US), see ble_gap_switching_sampling_type_t.

Definition at line 671 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h